Subject: bug#32932: [PATCH v2] Fix more drawing bugs in NS port (bug#32932)

From: Alan Third <[email-masked]>
Date: Wed, 14 Nov 2018 18:19:26 +0000

I suspect that's due to the whitespace checks that the Emacs tree builds
into git. I know there's a way to disable them, but I don't know what.

You could just try reverting the commits yourself and then extracting the
4th patch from the file and applying it.

On Wed, 14 Nov 2018, 17:09 Aaron Jensen <[email-masked] wrote:

> On November 13, 2018 at 2:13:41 PM, Alan Third
> ([email-masked](mailto:[email-masked])) wrote:
>
> > OK, so all new patch. It should apply to emacs-26 without any
> > additional patches (and might be OK for master too). Just the usual
> > ’git am’ should apply all four, I believe.
>
> I’m not sure if I’m doing something wrong, but git am stops after
> applying 2 commits and leaves me with a dirty tree (src/nsterm.m is
> staged). I’ve tried on emacs-26 and master.
>
> $ g am draw-to-buffer.mbox
> Applying: Revert "Fix some NS drawing issues (bug#32932)"
> Applying: Revert "Ensure NS frame is redrawn correctly after scroll"
> Applying: Revert "Make all NS drawing be done from drawRect"
> .git/rebase-apply/patch:493: space before tab in indent.
>            when making the call to draw_phys..(), don't focus in that
> .git/rebase-apply/patch:494: space before tab in indent.
>            case, then move the ns_unfocus() here after that call. */
> warning: 2 lines add whitespace errors.
> src/nsterm.m:3141: space before tab in indent.
> +          when making the call to draw_phys..(), don't focus in that
> src/nsterm.m:3142: space before tab in indent.
> +          case, then move the ns_unfocus() here after that call. */
>
> After this, git am --continue simply repeats the last set of warnings.
>
> Aaron
>
>
>
>